.table-outline {
  border: 1px solid $table-border-color;

  td {
    vertical-align: middle;
  }
}

.table-align-middle {

  td {
    vertical-align: middle;
  }
}

.table-clear {
  td {
    border: 0;
  }
}

.tbl-meco-list {
  margin-top: 25px;
}

.tbl-meco-list table {
  width: 100%;
  overflow: scroll;
  border-spacing: 0;

  th {
    text-align: center;
    background-color: #FFF;
    padding: 20px;
    border-top: 1px solid #e6e6e6;
    -webkit-box-shadow: 7px 5px 10px #e6e6e6;
    -moz-box-shadow: 7px 5px 10px #e6e6e6;
    box-shadow: 7px 5px 10px #e6e6e6;
  }
  td {
    vertical-align: middle;
    padding: 30px 0px 30px 10px;
  }
}

.tbl-meco-list tbody tr:nth-child(even){
  background-color: $mecoGrey;
  color: $mecoWhite;
}

//CSS for Spicy Datatable
.spicy-datatableoptions-search {
  text-align: right;
  float: right;
}

.spicy-datatableoptions-search--input {
  margin-left: 10px;
  padding: 4px 30px 4px 30px;
  background-color: $mecoGrey;
  color: $mecoDarkgrey;
  border: 0px;
  text-decoration: none !important;
  border-radius: 25px;
  margin-bottom: 20px;
  width: 250px;
  background-image: url('../img/glass.png');
  background-repeat: no-repeat;
  background-position: right;
  background-position-x: 92%;

}


.spicy-datatableoptions-sizepicker {
  visibility: hidden;
}

/*
  === ENTRY COUNTER AT BOTTOM ===
*/

.spicy-datatable-counter {
  text-align: left;
  font-size: 12px;
  padding: 0 20px;
}

/*
  === PAGINATION SETTINGS ===
*/

.spicy-datatable-pagination-root {
  width: 100%;
  position: relative;
  margin: 1rem auto;
  overflow: auto;
}

.spicy-datatable-pagination-list {
  list-style: none;
  display: inline-block;
  position: relative;
  background: #fff;
  margin: 0;
  padding: 0;
  -webkit-touch-callout: none;
  -webkit-user-select: none;
  -khtml-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}

.spicy-datatable-pagination-list .spicy-datatable-pagination-button {
  font-size: 12px;
  box-sizing: border-box;
  cursor: pointer;
  display: inline-block;
  color: #ccc;
  height: 1.5rem;
  width: 1.5rem;
  line-height: 1.5rem;
  text-align: center;
  border-radius: 100%;
  transition: 0.25s all;
}

.spicy-datatable-pagination-button.previous {
  margin-right: 25px;
}

.spicy-datatable-pagination-button.next {
  margin-left: 25px;
}

.spicy-datatable-pagination-list .spicy-datatable-pagination-button-elipsis:hover {
  background: #fff !important;
}

.spicy-datatable-pagination-list .spicy-datatable-pagination-button.active {
  background:$mecoOrange;
  color: #fff;
}

.spicy-datatable-pagination-list .spicy-datatable-pagination-button:hover {
  background: $mecoOrange -100;
  color: #fff;
}

.spicy-datatable-pagination-list .spicy-datatable-pagination-button-elipsis:hover {
  background: #fff !important;
  color: #ccc;
  cursor: default;
}
